org.cpsolver.studentsct

## Class StudentSectioningSaver

- java.lang.Object
- - org.cpsolver.ifs.util.ProblemSaver<Request,Enrollment,StudentSectioningModel>
  - - org.cpsolver.studentsct.StudentSectioningSaver

- All Implemented Interfaces:
    Runnable
  Direct Known Subclasses:
    StudentSectioningXMLSaver

      public abstract class StudentSectioningSaver
      extends ProblemSaver<Request,Enrollment,StudentSectioningModel>

  Abstract student sectioning saver class.
  Version:
    StudentSct 1.3 (Student Sectioning)
    Copyright (C) 2007 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StudentSectioningSaver(Solver<Request,Enrollment> solver)` Constructor

  - ### Method Summary

    - ### Methods inherited from class org.cpsolver.ifs.util.ProblemSaver

      `getAssignment, getModel, getSolution, getSolver, getTerminationCondition, run, save, setCallback, setTerminationCondition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StudentSectioningSaver

          public StudentSectioningSaver(Solver<Request,Enrollment> solver)

      Constructor
      Parameters:
        `solver` - current solver